Open Lighting Architecture: ola::plugin::usbdmx::WidgetObserver Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::WidgetObserver Class Referenceabstract

## Detailed Description

Receives notifications when Widgets are added or removed.

Classes implementing the WidgetObserver can be used with WidgetFactories to receive notifications when widgets are added.

On adding a new Widget, the appropriate NewWidget() method is called. The observer can mark a widget as in-use by returning true.

Inheritance diagram for ola::plugin::usbdmx::WidgetObserver:

## Public Member Functions
virtual bool | NewWidget (class AnymauDMX *widget)=0
| Called when a new AnymauDMX is added.
virtual bool | NewWidget (class DMXCProjectsNodleU1 *widget)=0
| Called when a new DMXCProjects Nodle U1 widget is added.
virtual bool | NewWidget (class EurolitePro *widget)=0
| Called when a new EurolitePro is added.
virtual bool | NewWidget (ola::usb::JaRuleWidget *widget)=0
| Called when a new Ja Rule widget is added.
virtual bool | NewWidget (class ScanlimeFadecandy *widget)=0
| Called when a new ScanlimeFadecandy is added.
virtual bool | NewWidget (class Sunlite *widget)=0
| Called when a new Sunlite is added.
virtual bool | NewWidget (class VellemanK8062 *widget)=0
| Called when a new VellemanK8062 is added.

## Member Function Documentation

## ◆ NewWidget() [1/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class AnymauDMX * | widget | ) |
| pure virtual

Called when a new AnymauDMX is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [2/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class DMXCProjectsNodleU1 * | widget | ) |
| pure virtual

Called when a new DMXCProjects Nodle U1 widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [3/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class EurolitePro * | widget | ) |
| pure virtual

Called when a new EurolitePro is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [4/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class ScanlimeFadecandy * | widget | ) |
| pure virtual

Called when a new ScanlimeFadecandy is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [5/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class Sunlite * | widget | ) |
| pure virtual

Called when a new Sunlite is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [6/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | class VellemanK8062 * | widget | ) |
| pure virtual

Called when a new VellemanK8062 is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

## ◆ NewWidget() [7/7]

virtual bool ola::plugin::usbdmx::WidgetObserver::NewWidget | ( | ola::usb::JaRuleWidget * | widget | ) |
| pure virtual

Called when a new Ja Rule widget is added.

Parameters

  widget | the new Widget, ownership is not transferred but the object may be used until the corresponding WidgetRemoved() call is made.

Returns
  true if the widget has been claimed, false if the widget was ignored.

Implemented in ola::plugin::usbdmx::AsyncPluginImpl, ola::plugin::usbdmx::SyncPluginImpl, and ola::plugin::usbdmx::SyncronizedWidgetObserver.

The documentation for this class was generated from the following file:

- plugins/usbdmx/WidgetFactory.h